API changelog: https://casco-qa.api.lifeishard.ro/changelog
| Version | Release date | Description |
| 1.0.0 | Initial release • Product Groupama Leasing Casco • Product Generali Casco |
Introduction
The Casco API service allows the generation of offers, the issuance of policies, as well as the printing of corresponding documents.
All requests (except for authentication requests) must contain the "Token" parameter in the Header, which contains an authorization token (JWT) obtained through authentication endpoints using credentials provided by Life Is Hard SA (as OPERATOR).
The service has an integration with the 24Broker application, and policies issued through the API will be automatically transferred to 24Broker. For this, the 24Broker instance and the email address of the account where the transfer is desired must be specified.
Attention! Changing the configured email address may result in policies not being transferred. In other words, if the email address of the account (24Broker) configured in the service is changed, then a request to modify the address in the API must be made.
Environments:
-
test/development: https://casco-qa.api.lifeishard.ro/ - this is a test environment, where are available latest changes
-
production: https://rca.api.lifeishard.ro/
The examples and definitions of the methods and resources offered by the service can be viewed through the Swagger UI platform: https://app.swaggerhub.com/apis-docs/Life-is-Hard3/casco.api.lifeishard.ro/
Access to the production environments is restricted to whitelisted IPs. To gain access, you need to contact the sales team.
The credentials used in the testing environment are not functional in the production environment.
Implemented products
| Insurer | Identifier | Product |
| Generali | provider.organization.businessName: generali | product.name: casco |
| Groupama | provider.organization.businessName: groupama | product.name: casco-leasing |
| Eazy Insurance | provider.organization.businessName: eazy_insure | product.name: casco |
| Allianz MyCar | provider.organization.businessName: allianz | product.name: casco |
Workflow
Step 1: Authenticate
-
Obtain a JWT token for authorization.
-
Send a request with the credentials provided by the OPERATOR (
POST /auth). -
A JWT token that must be included in the
Authorizationheader for all subsequent API requests.
Step 2: Create Offer
-
Initiate an offer for the policy.
-
Call the Create Offer endpoint with the necessary offer details.
-
An offerId – this will be required in the next steps.
Step 3: Transform Offer to Policy
-
Convert the offer into a formal policy.
-
Use the previously obtained offerId to call the Transform Offer endpoint.
-
The response will contain the policy details.
Step 4: Download Documents
-
Retrieve both offer and policy documents.
-
Use the offerId (from Step 2) to download offer documents.
-
Use the policy series and number (from Step 3) to download policy documents.
Response types
The main structure of response is:
| Parameter | Description |
| errors | Object containing validated fields that had errors with a corresponding message describing the issue. Note: only present when there is an error |
| message | Error message describing the issue.Note: only present when there is an error |
| correlation_id | Correlation identifier for error tracing.Note: only present when there is an error |
| data | Data related to the response. |
The structure of the response can be divided into two major categories: successful response and error response.
Success
HTTP status code 200
| Parameter | Description |
| data | (object) |
Error
HTTP status code from 400 to 500
| Parameter | Description |
| errors | Object containing validated fields that had errors with a corresponding message describing the issue. |
| message | Error message describing the issue. |
| correlation_id | Correlation identifier for error tracing. |
The validation messages are set by default in English. To change the language of the validation messages to Romanian, add the following parameter in the request header: Content-Language, with the value: ro.
Endpoints
Authentication
POST /auth
This method is used to authenticate an account by account and password (provided by OPERATOR).
Request parameters
| Parameter | Type | Required | Description |
| account | string | Yes | Provided access account |
| password | string | Yes | Provided access password |
Response fields
| Field | Type | Description |
| data | object | |
| → token | string | The JWT (JSON Web Token) used to authenticate future API requests. |
| → expires_at | date time | The date and time when the JWT token will expire. Format: YYYY-MM-DD HH:MM:SS |
| → refresh_token | string | A secure token used to obtain a new JWT when the current one expires. |
PATCH /auth
This method is used to renew an authentication token based on the refresh token.
If the token has been successfully renewed, the generated response will have the same structure as the authentication response from the POST /auth endpoint.
DELETE /auth
This method is used to de-authenticate an existing and valid authentication token.
Create offer
offer-endpointPOST /offer
Request parameters
Example: https://casco-qa.api.lifeishard.ro/example/offer
| Parameter | Type | Required | Description |
| provider | Provider Object | Yes | Information related to the insurer |
| product | Product Object | Yes | Information related to the product |
provider-objectProvider Object
| Parameter | Type | Required | Description |
| organization | object | Yes | Data object representing insurer’s data details |
| → businessName | InsurerEnum | Yes | Insurer identifier |
| authentication | object | No | Data Object with credentials to access insurer’s web service |
| → account | string | No | Insurer access account |
| → password | string | No | Insurer access password |
| → code | string | No | Insurer access code |
product-objectProduct Object
| Parameter | Type | Required | Description |
| name | ProductEnum | No | Product package name.Default: casco |
| motor | Motor Object | Yes | Data object representing information related to the product |
| coverages | array [Coverage Object] | Yes | Selected coverage list |
| policyholder | Person Object | Yes | Policyholder information |
| vehicle | Vehicle Object | Yes | Insured vehicle information |
| additionalData | Additional Data Object | No (depending on the product) |
motor-objectMotor Object
| Parameter | Type | Required | Description |
| startDate | date | Yes | Start date of the motor product |
| termTime | number | Yes | Term time in months |
| installmentCount | number | No | Number of installments |
| currency | CurrencyEnum | Yes | Currency in which the offer is generated |
| mentions | string | No | Any additional mentions or notes |
| withoutTax | boolean | No | Indicates if the motor product is without tax. Default: false |
| deductibles | object | No | Data object representing deductible details |
| → partialDamage | number | No | Deductible amount for partial damage.Default: 0 |
| → totalDamange | number | No | Deductible percent for total damage.Default: 0 |
| renewPolicy | object | No | Data object representing policy renewal details |
| → series | string | Yes (if renewPolicy is present) | Old policy series |
| → number | number | Yes (if renewPolicy is present) | Old policy number |
coverage-objectCoverage Object
| Parameter | Type | Required | Description |
| isIncluded | boolean | No | Indicates if the coverage is included |
| code | CoverageCodeEnum | Yes (if isIncluded is true) | Coverage code |
| insuredSum | number | No | The insured sum for the coverage( for some insurers this field can be ignored) |
person-objectPerson Object
| Parameter | Type | Required | Description |
| isLegalEntity | boolean | Yes | Indicates if the person is a legal entity |
| businessName | string | Yes (if isLegalEntity is true) | Business name of the legal entity |
| companyRegistryNumber | string | Yes (if isLegalEntity is true) | Company registry number |
| caenCode | number | No | CAEN code of the business |
| lastName | string | Yes (if isLegalEntity is false) | Last name of the person |
| firstName | string | Yes (if isLegalEntity is false) | First name of the person |
| isForeignPerson | boolean | No | Indicates if the person is a foreigner |
| taxId | string | Yes | Tax identification number (CNP/CUI) |
| nationality | string | No | Nationality of the person Default: RO Accepts any iso2 code from nomenclature /nomenclature/country |
| citizenship | string | No | Citizenship of the person Default: RO Accepts any iso2 code from nomenclature /nomenclature/country |
| gender | GenderEnum | No | Gender of the person |
| birthdate | date | No | Birthdate of the person |
| email | string | No | Email address of the person |
| mobileNumber | string | No | Mobile phone number of the person |
| drivingLicense | object | No | Driving license details |
| → issueDate | date | Yes (if drivingLicense object is present) | Issue date of the driving license |
| identification | (object) | No | Data object representing a person's identification details |
| → type | IdentificationTypeEnum | Yes (if identification object is present) | Type of the identification |
| → idNumber | string | Yes (if identification object is present) | Identification number |
| → issueAuthority | string | No | Authority that issued the identification |
| → issueDate | date | No | Date the identification was issued |
| address | Address Object | Yes | Data object representing a person’s address details |
| hasDisability | boolean | No | Indicates if the person has a disability |
| isRetired | boolean | No | Indicates if the person is retired |
| residency | ResidencyEnum | No | Residency statuses of the person This field is included only when the person is a foreign national who holds a local identity card (ex. CNP issued in Romania). |
| politicalExposure | PoliticalExposureEnum | No | Political exposure statuses of the person |
address-objectAddress Object
| Parameter | Type | Required | Description |
| country | string | No | Country codeDefault: RO Accepts any iso2 code from nomenclature /nomenclature/country |
| county | string | Yes | County code Accepts any code from nomenclature /nomenclature/county |
| city | string | Yes | City name Accepts any name from nomenclature /nomenclature/locality/{county} |
| cityCode | number | Yes | City code Accepts any siruta from nomenclature /nomenclature/locality/{county} |
| street | string | Yes | Street name |
| houseNumber | string | No | House number |
| building | string | No | Building name or number |
| staircase | string | No | Staircase number |
| apartment | string | No | Apartment number |
| floor | string | No | Floor number |
| postcode | string | No | Postal code |
vehicle-objectVehicle Object
| Parameter | Type | Required | Description |
| user | Person Object | No | Vehicle user information |
| drivers | array [Driver Object] | No | List of drivers associated with the vehicle |
| licensePlate | string | No | License plate of the vehicle |
| registrationType | RegistrationTypeEnum | Yes | Registration type of the vehicle |
| vin | string | Yes | Vehicle Identification Number (VIN) |
| motorSeries | string | No | Vehicle motor series (if applicable) |
| vehicleType | VehicleTypeEnum | Yes | Type of the vehicle |
| brand | string | Yes | Brand of the vehicle |
| model | string | Yes | Model of the vehicle |
| yearOfConstruction | number | Yes | Year the vehicle was constructed |
| engineDisplacement | number | Yes (unless electric vehicles or trailers) | Engine displacement in cubic centimeters |
| enginePower | number | Yes (unless electric vehicles or trailers) | Engine power (kW) |
| totalWeight | number | Yes | Total weight of the vehicle in kilograms |
| seats | Number | Yes (unless trailers) | Number of seats in the vehicle |
| fuelType | FuelTypeEnum | No | Fuel type of the vehicle |
| firstRegistration | date | No | Date of the vehicle's first registration |
| usageType | UsageTypeEnum | Yes | Usage type of the vehicle |
| identification | object | No | Identification details of the vehicle |
| → idNumber | string | No | Identification number |
| currentMileage | number | No | Current mileage of the vehicle in kilometers |
| keyNumber | number | No | Number of keys of the vehicle |
| color | ColorEnum | Yes | Color of the vehicle |
| marketValue | float | No | Market value of the vehicle |
| ptiExpiryDate | date | No | Vehicle's periodic technical inspection (ITP) expiration date |
| vignetteExpiryDate | date | No | Vehicle's vignette (rovinieta) expiration date |
| hasMobilityModifications | boolean | No | Indicates if the vehicle has mobility modifications.Default: false |
| isLeased | boolean | No | Indicates if the vehicle is leased. Default: false |
| isNew | boolean | No | Indicates if the vehicle is new. Default: false |
| isOwnerTransfer | boolean | No | Indicates if the vehicle is a transfer of ownership. Default: false |
| identifier | string | No | A unique identifier assigned to the vehicle base on the brand a model. |
driver-objectDriver Object
| Parameter | Type | Required | Description |
| firstName | string | Yes (if drivers is present) | Driver's first name |
| lastName | string | Yes (if drivers is present) | Driver's last name |
| taxId | string | Yes (if drivers is present) | Driver's tax identification number |
| identification | string | Yes (if drivers is present) | Identification details |
| → idNumber | string | Yes (if identification is present) | Driver's identification number |
| mobileNumber | string | No | Driver's mobile phone number |
additional-data-objectAdditional Data Object
| Parameter | Type | Required | Description |
| rafCode | string | No | RAF code |
| motor | object | No | Motor-related data |
| → contractType | ContractTypeEnum | Yes | Contract type |
| → leasingContractNumber | string | No | Leasing contract number |
| vehicle | object | No | Vehicle related data |
| → user | Additional Data User Object | No | User-related data |
| → isAtv | boolean | No | Indicates if the vehicle is an ATV Default: false The field applies to: • groupama: casco-leasing |
| → equipmentDescription | string | No | Additional equipment description, which will be covered |
| → equipmentValue | number | Yes, if equipmentDescription is present | Additional equipment acquisition value |
| → acquisitionDate | date | No | Date of acquisition of the vehicle |
| → isFirstOwner | boolean | No | Indicates if the vehicle is the first owner. Default: false |
| → specialAccordCashOnHand | boolean | No | Indicates if there is a special accord for cash on hands. Default: false |
| → partnerNetworkRepairAgreement | boolean | No | Indicates if there is a partner network repair agreement. Default: false |
| → coversMinorChildren | boolean | No | Indicates if the policy covers minor children. Default: false |
additional-data-user-objectAdditional Data User Object
| Parameter | Type | Required | Description |
| bonusMalusClass | BonusMalusEnum | No | Bonus-Malus class for vehicle user |
| bonusMalusClaims | number | No | Bonus/malus claims |
| noYoungDrivers | boolean | No | Indicates if there are no young drivers. Default: true |
offer-responseResponse fields
| Field | Type | Description |
| data | object | Represents the response data for a quotation |
| → provider | Provider Response Object | Provider company related information |
| → product | Product Response Object | Product related information |
| → offers | array [Offer Object] | Represents quotation offers with its details |
provider-response-objectProvider Response Object
| Field | Type | Description |
| organization | object | Insurer’s data |
| → businessName | InsurerEnum | Insurer identifier |
product-response-objectProduct Response Object
| Field | Type | Description |
| product | object | Product data |
| → name | ProductEnum | Product type |
offer-objectOffer Object
| Field | Type | Description |
| offerId | number | Internal ID of the quotation offer |
| providerOfferCode | string | Provider's offer code |
| premiumAmount | float | Premium amount |
| currency | CurrencyEnum | Currency type |
| exchangeRate | (object) | Data object represents exchange rate information for a specific currency |
| → currency | CurrencyEnum | Currency type |
| → amount | float | The amount in the specified currency |
| → exchangeRate | float | The exchange rate for the specified currency |
| payment | object | Data object represents the payment information |
| → currency | CurrencyEnum | The payment currency, in our case RON |
| → amount | float | The payment value |
| startDate | date | Start date of the offer validity |
| endDate | date | End date of the offer validity |
| installments | array [Installment Object] | List of installments |
| coverages | array [Coverage Response Object] | List of coverage's |
| offerExpiryDate | date | Offer expiry date |
| notes | string | Additional notes for the offer |
| pid | string | Url for Product Identification Document |
| toc | string | Url for Terms and conditions |
installment-objectInstallment Object
| Field | Type | Description |
| id | number | The unique identifier of the installment |
| amount | float | The amount of the installment |
| dueDate | date | The due date of the installment |
coverage-response-objectCoverage Response Object
| Field | Type | Description |
| code | CoverageCodeEnum | Coverage code |
| notes | string | Additional notes or comments related to the coverage |
Issue offer
post-policyPOST /policy
Example: https://casco-qa.api.lifeishard.ro/example/policy
Request parameters
| Parameter | Type | Required | Description |
| offerId | number | Yes | The unique identifier of the offer |
| payment | object | Yes | Data object representing a payment |
| → method | PaymentMethodEnum | Yes | Payment method |
| → currency | CurrencyEnum | Yes | Currency type |
| → amount | float | Yes | Amount of the payment |
| → date | date | Yes | Date of the payment |
| → documentNumber | string | Yes | Document number associated with the payment |
policy-responseResponse fields
| Field | Type | Description |
| data | object | Represents the response data for a policy |
| → policies | array [Policy Object] | Represents the details of a policy |
policy-objectPolicy Object
| Field | Type | Description |
| provider | Provider Response Object | Provider company related information |
| product | Product Response Object | Product related information |
| policyId | number | Internal ID of the issued policy |
| providerPolicyCode | string | Provider's policy code |
| series | string | The series of the policy |
| number | string | The number of the policy |
| payment | object | Data object representing a payment |
| → method | PaymentMethodEnum | Payment method |
| → currency | CurrencyEnum | Currency type |
| → amount | float | Amount of the payment |
| → date | date | Date of the payment |
| → documentNumber | string | Document number associated with the payment |
| currency | CurrencyEnum | Premium amount currency type |
| premiumAmount | float | Premium amount |
| startDate | date | The start date of the policy |
| endDate | date | End date of the policy |
| installments | array [Installment Object] | List of installments |
| coverages | array [Coverage Response Object] | List of coverage's |
Download document
Offer document
GET /offer/{offerId}
This API endpoint enables users to download the offer in PDF format.
You will need to provide the offerId received in the response from the offer request call to access the download feature.
Policy document
GET /policy?series={series}&number={number}
This API endpoint enables users to download the policy in PDF format.
You will need to provide the series and number received in the response of transform offer into policy call to access the download feature.
Product-specific business rules
generali-cascoGenerali Casco
POST /offer
[Back to /offer]
-
Offers cannot be generated for foreign
taxIdpolicy holders or users -
product.motor.startDate: -
The date limit is current date + 30 days
-
product.motor.deductibles.partialDamage: -
The accepted minimum value is 200
-
The accepted maximum value is 1000
-
product.motor.deductibles.totalDamage: -
The only accepted value is 0
-
product.policyholder.isForeignPerson: -
The only accepted value is false
-
product.vehicle.identifier: -
the field is required
-
product.vehicle.usageType: -
The only accepted values are [personal, security, distribution, courier, cargoTransportation]
-
product.vehicle.vehicleType: -
The only accepted values are [M1, M1G, M2, M2G, M3, M3G, N1, N1G, N2, N2G]
-
product.vehicle.registrationType: -
The only accepted values are
registeredortemporaryRegistered -
product.vehicle.totalWeight: -
The accepted maximum value is 3500
-
product.vehicle.currentMileage: -
The accepted maximum value is 1000000
-
product.vehicle.marketValue: -
The accepted maximum value is 50000 EUR
-
product.vehicle.yearOfConstruction: -
The accepted minimal value is current year - 14
-
product.coverages.*.code: -
check Coverage code enum list
-
coverage
otherDriveris only available whenproduct.policyholderis an individual person -
product.additionalData.vehicle.user.bonusMalusClass: -
The only accepted values are [B0, B1, B2, B3, B4, B5, B6, B7, B8, M1, M2, M3, M4, M5, M6, M7]
-
more to come …
groupama-cascoGroupama Casco
POST /offer
[Back to /offer]
-
product.coverages.*.code: check Coverage code enum list -
more to come …
eazy-cascoEazy Insurance Casco
POST /offer
[Back to /offer]
-
product.motor.installmentCount: -
The only accepted values are [1, 2, 4]
-
product.motor.deductibles.partialDamage: -
The field is required
-
The only accepted values when
product.motor.currencyis RON is [500, 1000, 1500] -
The only accepted values when
product.motor.currencyis EUR is [100, 200, 300] -
product.policyholder.isForeignPerson -
The accepted value is false (the insurer does not accept foreign persons)
-
product.policyholder.drivingLicense -
The field is required
-
product.vehicle.user.isForeignPerson -
The accepted value is false (the insurer does not accept foreign persons)
-
product.vehicle.user.drivingLicense -
The field is required if
product.vehicle.useris present -
product.vehicle.vehicleType: -
The only accepted values are [M1, M1G,
M2, M2G, M3, M3G, N1, N1G,N2, N2G, N3, N3G, T, C, S, L1e, L2e, L3e, L4e, L5e, L6e, L7e] need to confirm all of them -
product.vehicle.keyNumber: -
Required field
-
The accepted minimum value is 2
-
The accepted maximum value is 7
-
product.vehicle.firstRegistration: -
Required field
-
product.coverages.*.code: check Coverage code enum list -
product.coverages.*.code is equal to totalLoss: -
The coverage is available for vehicles up to 2 years old -
product.coverages.*.codeis equal topersonAccidents: -
If the
insuredSumis less or equal to 1000 the SAFE package will be selected, for SAFE+ theinsuredSumhas to be greater then 1000 -
product.additionalData.vehicle.equipmentValue: -
The field is required when
product.additionalData.vehicle.equipmentDescriptionis set -
The maximum values when
product.motor.currencyis RON is 7000 -
The maximum values when
product.motor.currencyis EUR is 2850 -
vehicle.registrationTypesaccepted values areregistered,temporaryRegistered -
vehicle.yearOfConstructionminimum accepted value is up to 10 years old -
vehicle.totalWeightmaximum value is 3499 -
product.additionalData.personAccidentPlanaccepted values are ‘SAFE', 'SAFE_PLUS’ -
If
product.additionalData.vehicle.stolenVehicleis set to true, the offer cannot be completed. -
If
product.additionalData.vehicle.hasConstructionChangesis set to true, the offer cannot be completed. -
If
product.additionalData.vehicle.wheelOnTheRightSideis set to true, the offer cannot be completed.
The following coverage’s are included in the insured sum value by default:
-
collision→ collision with other vehicles -
impactWithPersonsOrObjects→ collisions, impacts with moving or stationary objects, persons, or animals (outside the vehicle) -
fallingObjects→ falling objects onto the insured vehicle -
vehicleDamage→ rollovers, skidding -
fireExplosion→ fire, lightning, explosion -
naturalHazards→ meteorological natural phenomena (hail, storm, avalanche, etc.) -
naturalDisasters→ natural disasters (earthquake, flood, landslide) -
liabilityRegress→ liability regress (regres RCA) -
international→ international coverage
allianz-mycarAllianz MyCar Casco
POST /offer
[Back to /offer]
-
product.motor.startDate: -
The start date value cannot be more then 44 days in the future
-
product.motor.currency: -
The only accepted value is RON
-
product.motor.termTime: -
The only accepted value is 12
-
product.motor.installmentCount: -
The only accepted value is 1
-
product.policyholder.isLegalEntity: -
The only accepted value is false
-
product.policyholder.firstName/product.vehicle.user.firstName: -
The maximum character length is 200
-
product.policyholder.lastName/product.vehicle.user.lastName: -
The maximum character length is 50
-
product.policyholder.identification: -
The field is required
-
product.policyholder.mobileNumber: -
The field is required
-
product.policyholder.email/product.vehicle.user.email: -
The maximum character length is 50
-
product.policyholder.address.postcode: -
The field is required
-
product.policyholder.address.city/product.vehicle.user.address.city: -
The maximum character length is 100
-
product.policyholder.address.street/product.vehicle.user.address.street: -
The maximum character length is 100
-
product.policyholder.address.houseNumber/product.vehicle.user.address.houseNumber: -
The maximum character length is 10
-
product.policyholder.address.building/product.vehicle.user.address.building: -
The maximum character length is 10
-
product.policyholder.address.floor/product.vehicle.user.address.floor: -
The maximum character length is 6
-
product.policyholder.address.apartment/product.vehicle.user.address.apartment: -
The maximum character length is 6
-
product.vehicle.usageType: -
The only accepted values are [personal, taxi, drivingSchool, security, carRental]
-
product.vehicle.vin: -
The minimum character length is 5
-
product.vehicle.yearOfConstruction: -
The field is required
-
product.coverages.*.code: check Coverage code enum list
POST /policy
[Back to /policy]
-
payment.date: -
The field has to be equal to the current date when
payment.methodis equal to broker receipt or pos -
For other
payment.methodvalues the date can be the current date or a date in the future
Enums
insurer-enumInsurer enum
[Back to Provider Object]
-
generali -
groupama -
eazy-insurance
product-enumProduct enum
[Back to Product Object]
-
casco -
casco-leasing
contract-type-enumContract type enum
[Back to Additional Data Object]
-
financial -
operational -
credit
coverage-code-enumCoverage code enum
[Back to Coverage Object]
| Coverage code | Description | Insurers |
|---|---|---|
| vehicleDamage | Covers damages to the insured vehicle due to accidents or external events. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| vehicleEquipment | Covers damage or loss of additional or non-standard vehicle equipment. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| moto | Covers general risks specific to motorcycles. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| motoSeasons | Seasonal motorcycle coverage, active only during specified periods. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| motoEquipment | Covers protective gear and accessories for motorcycle riders. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| engineWaterAspiration | Covers damage from water entering the engine (e.g., driving through flooded roads). | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| wheelsTires | Covers damage of wheels and tires. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| roadAssistance | Basic roadside assistance for breakdowns, towing, or flat tires. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| roadAssistancePremium | Extended roadside assistance with additional services (e.g., travel accommodation, long-distance towing). | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| personAccidents | Covers injuries or death of vehicle occupants resulting from an accident. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| offroad | Covers damages occurring while driving off public roads or on unpaved terrain. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| exchangeCar | Provides a replacement vehicle during repairs or total loss processing. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| windowElements | Covers damage to glass components (windshields, windows, sunroof, etc.). | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| cargo | Covers transported goods against damage or loss. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| international | Extends vehicle insurance coverage when driving abroad. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| workingMachine | Covers work-specific machinery (e.g., cranes, bulldozers) under the policy. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| gpsSystem | Covers theft or damage of the installed GPS/navigation system. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| otherDriver | Covers use of the vehicle by drivers other than the primary insured | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| theft | Covers vehicle theft or attempted theft. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| vandalism | Covers intentional damage caused by third parties. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| naturalHazards | Covers common natural risks like hail, storm, or flooding. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| naturalDisasters | Covers extreme natural events such as earthquakes, floods, or landslides. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| collision | Covers damage resulting from collisions with other vehicles. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| deathClause | Pays compensation in case of the insured person’s death due to an accident. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| permanentDisabilityClause | Covers permanent disability of the insured person resulting from an accident. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| surgicalInterventionClause | Covers medical costs for surgeries required due to an accident. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| totalLoss | Coverage for total loss of the insured vehicle | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| impactWithPersonsOrObjects | Coverage for collisions, impacts with moving or stationary objects, persons, or animals (outside the vehicle) | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| fallingObjects | Coverage in case damage from falling objects onto the insured vehicle | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| fireExplostion | Coverage in case of loss or damage caused by flames, heat, or smoke. | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
| liabilityRegress | Coverage for liability regress (regres RCA) | generali: casco groupama: casco-leasing eazy-insurance: casco allianz: casco |
gender-enumGender enum
[Back to Person Object]
-
m-> Male -
f-> Female
identification-type-enumIdentification type enum
[Back to Person Object]
-
CI→ Identity card -
PASSPORT
residency-enumResidency enum
[Back to Person Object]
-
resident in Romania→ A person who legally resides within the territory of Romania, either as a Romanian citizen or a foreign national with official residence status. -
resident outside Romania but within the EC→ A person who resides in a country that is part of the European Community (EC), excluding Romania. -
resident outside the EC→ A person who resides in a country outside the European Community, regardless of citizenship.
political-exposure-enumPolitical exposure enum
[Back to Person Object]
-
no -
yes -
person with a public management function
bonus-malus-enumBonus Malus enum
[Back to Additional Data User Object]
| B0 | B1 | B2 | B3 | B4 | B5 |
| B6 | B7 | B8 | M1 | M2 | M3 |
| M4 | M5 | M6 | M7 | M8 |
registration-type-enumRegistration type enum
[Back to Vehicle Object]
-
registered -
recorded -
temporaryRegistered -
temporaryRecorded
vehicle-type-enumVehicle type enum
[Back to Vehicle Object]
| M1 DetailsPassenger transport (≤ 9 seats, max weight ≤ 3500 kg) | M1G DetailsM1 + adapted as off-road vehicle | M2 DetailPassenger transport (> 9 seats, max weight ≤ 5000 kg) | M2G DetailsM2 + adapted as off-road vehicle | M3 DetailsPassenger transport (> 9 seats, max weight > 5000 kg) | M3G DetailsM3 + adapted as off-road vehicle |
| N1 DetailsGoods transport (max weight ≤ 3500 kg) | N1G DetailsN1 + adapted as off-road vehicle | N2 DetailsGoods transport (max weight > 3500 kg & ≤ 12000 kg) | N2G DetailsN2 + adapted as off-road vehicle | N3 DetailsGoods transport (max weight > 12000 kg) | N3G DetailsN3 + adapted as off-road vehicle |
| O1 DetailsTrailers and semi-trailers (max weight ≤ 750 kg) | O2 DetailsTrailers and semi-trailers (max weight > 750 kg & ≤ 3500 kg) | O3 DetailsTrailers and semi-trailers (max weight > 3500 kg & ≤ 10000 kg) | O4 DetailsTrailers and semi-trailers (max weight > 10000 kg) | L1e DetailsMoped (2 wheels, max speed < 45 km/h, engine capacity < 50 cm³, ≤ 4 kW) | L2e DetailsMoped (3 wheels, max speed < 45 km/h, engine capacity < 50 cm³, ≤ 4 kW) |
| L3e DetailsMotorcycle without sidecar (2 wheels, max speed > 45 km/h, engine capacity > 50 cm³) | L4e DetailsMotorcycle with sidecar (2 wheels, max speed > 45 km/h, engine capacity > 50 cm³) | L5e DetailsMotorized tricycles (3 wheels, max speed > 45 km/h, engine capacity > 50 cm³) | L6e DetailsLight motorized quadricycles (unladen weight ≤ 350 kg, max speed ≤ 45 km/h, engine capacity ≤ 50 cm³, ≤ 4 kW) | L7e DetailsMotorized quadricycles (other than L6e, unladen weight ≤ 400 kg, engine power ≤ 15 kW) | T DetailsAgricultural or forestry tractors with wheels |
| C DetailsAgricultural or forestry tractors with tracks | R DetailsAgricultural or forestry trailers | S DetailsInterchangeable towed machinery |
fuel-type-enumFuel type enum
[Back to Vehicle Object]
-
petrol -
diesel -
electric -
hybrid -
lpg -
none
usage-type-enumUsage type enum
[Back to Vehicle Object]
-
personal -
passengerTransportation -
taxi -
carRental -
drivingSchool -
security -
courier -
cargoTransportation -
distribution
color-enumColor enum
[Back to Vehicle Object]
-
white
-
blue
-
yellow
-
gray
-
brown
-
black
-
orange
-
red
-
green
-
purple
payment-method-enumPayment method enum
-
pos -
receipt -
broker receipt -
payment order -
broker payment order
currency-enumCurrency enum
-
RON -
EUR